Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

0
votes
0answers
8 views

Python plots won't display: “Font config error”

I am trying to plot some histograms with matplotlib.pyplot through the PyCharm IDE. Whenever I run my project, I get the same thing: "Font config error: cannot load default config file" and no plots ...
3
votes
0answers
59 views
+50

How do I write a Unity sytem indicator in python?

Background: This is NOT for application-indicators but system-indicators. Picture: https://wiki.ubuntu.com/DesktopExperienceTeam/ApplicationIndicators The objective is to find a final solution ...
0
votes
1answer
41 views

PyBFD cannot find Binutils in 16.04

I've upgraded my distro from 15.10 to 16.04 LTS. In 15.10 everything was okay. I am using pybfd 0.1.1 with binutils 2.26 (In 16.04). The python package pybfd used to be okay with binutils of 15.10. ...
2
votes
0answers
25 views

Software & Updates crashes and will not open

I am unable to open the Software & Updates configuration window in System Settings. The best I have been able to do to understand what is going on is the following output after opening System ...
0
votes
1answer
9 views

IndexError: list index out of range when installing iPython in Ubuntu 14.04

I am following this and I am getting: gsamaras@gsamaras-A15:~$ sudo pip install "ipython[notebook]" Downloading/unpacking ipython[notebook] Downloading ipython-4.2.0-py2-none-any.whl (736kB): 736kB ...
24
votes
1answer
141k views

How to install numpy and scipy for python?

I am tired to try to install numpy and scipy for phyton 2.7.5, I need this version of python because my final goal it's to install class (http://class-code.net/) and montepython (http://montepython....
0
votes
0answers
13 views

Building very long rsync inclusions and exclusions with Python

I'm trying to run a backup of all my .x folders in Home to save configurations. With the program I'm writing, you can select any folders you want included or excluded from the backup, this list is ...
0
votes
2answers
4k views

Python - AttributeError with hashlib: no such attribute: “openssl_md_meth_names”

I don't know why this is happening, but after some crazy recovery from installing python from source, when anything imports hashlib, it comes up with something like this error: Traceback (most recent ...
0
votes
0answers
28 views

Numpy broken in ubuntu 16.04 LTS

I have instaled packages "python-numpy" on ubuntu 16.04 LTS. Unfortunately, the package is broken: >>> import numpy Traceback (most recent call last): File "<stdin>", line 1, in <...
1
vote
0answers
29 views

Unable to install Pillow on Ubuntu 15.10

I m trying to install pillow via the command : pip install pillow on my Ubuntu machine but I repeatedly get this error: command 'x86_64-linux-gnu-gcc' failed with exit status 1 How can I fix ...
1
vote
0answers
19 views

How does one package a python application that includes a gsettings schema with setuptools?

I'm trying to use setuptools to package a python application that relies on gsettings for storing and retrieving user's preferences. However I have not used said tool before and I am unsure about what ...
0
votes
0answers
16 views

alt key shortcuts in pycharm are not working on ubuntu 16.04

Shortcuts involving "Alt" key is not working on pycharm. For example the shortcut for "finding usages" on my machine is "Alt +f7". But whenever I press this key, my cursor changes from arrow to the ...
0
votes
0answers
22 views

Python Gobject broken Help?

I don't know what broke it, but my python Gobject library is missing something ... When I try to run most tools like gnome-tweak-tool which require GTK, I get an error saying : Traceback (most ...
40
votes
4answers
55k views

How to set up and use a virtual python environment in Ubuntu?

Python virtual environments are used to create isolated python environments to avoid dependency and version conflicts, and also indirectly takes care of permission issues. But what is the easiest way ...
3
votes
3answers
312 views

VIM python support on Ubuntu 16.04

I use ubuntu 16.04. My vim doesn't have python support. The thing is that I installed vim, vim-gnome, vim-nox, I surfed net for hours and tried to build vim from source, I deleted some stuff like vim-...
0
votes
1answer
25 views

setuptools must be installed to install from a source distribution

I am trying to install pywavelets lib I gave a command pip install pywavelets It gave me a error setuptools must be installed to install from a source distribution. Checking with this error I saw ...
1
vote
1answer
23 views

python: pip install xmltodict fails

I would like to use Ansible on my ubuntu machine. I tried to use the ping module and it complains that it does not find the xmltodict python library. I thus wanted to install the missing module using ...
1
vote
0answers
33 views

ALSA Keeps Throwing Me Errors, really Frustrating

The Situation So my sound cards aren't totally fried, and everything works fine, it's just annoying when working with python scripts and Speech Recognition for Python. This being the result of my ...
34
votes
3answers
47k views

How do I install newer Python versions using apt-get?

How can I install a newer version of Python using apt-get? Obviously I realise I can install using the source tar ball, however I would prefer not to install from source and instead use the package ...
0
votes
1answer
44 views

TensorFlow broken data stream reading image file

I have installed tensorflow 0.8.0 in anaconda env called "tensorenv". I then began running basic codes in it in a file called basic_python.py. import matplotlib.image as mpimg # First, load the ...
2
votes
2answers
6k views

IDLE installation in Ubuntu 14.04

Does anybody know which IDLE package I should install from Software Center in Ubuntu 14.04 assuming I want to program in python 3?
11
votes
3answers
624 views

Latest python-pip with Ubuntu 16.04

In Ubuntu 16.04 when you do: pip install --upgrade pip you get: Collecting pip Using cached pip-8.1.2-py2.py3-none-any.whl Installing collected packages: pip Successfully installed pip-8.1.1 You ...
3
votes
2answers
160 views

How to install LLVM 3.7.x on Ubuntu 14.01 (llvm.org/apt down)

I am trying to install LLVM 3.7.x in order to get llvmlite for Python 2.7. However, the apt mirror seems to be down, reading: APT mirror was temporary switched off due to excess load. We are ...
0
votes
2answers
63 views

Start terminal in ubuntu with a python script?

How can I start a terminal in Ubuntu 16.04 with a python script, execute commands on that terminal, and retrieve the output from those commands? For example, I want to check the contents of a folder (...
0
votes
1answer
193 views

Fatal error:Python.h no such file or directory

root@rani-System-Product-Name:~# sudo pip install python-igraph Downloading/unpacking python-igraph Downloading python-igraph-0.7.1.post6.tar.gz (377Kb): 377Kb downloaded Running setup.py egg_info ...
4
votes
1answer
21 views

ps inside crontab is not seeing a running process

I have this robot worker.py, which I just run as: python worker.py --details There are many problems surrounding this robot, so it keeps going down each 30 minutes. When the robot is running, ps ...
5
votes
1answer
95 views

ImportError: No module named Selenium2Library

I am quite new to Robot Framework and I could use some help. I'm using Ubuntu 14. And I have installed Robot following these steps: # Python package management tool pip. sudo apt-get install python2....
1
vote
1answer
26 views

Pydev installation problem in eclipse

I am trying to install pydev 5.0 in eclipse 3.8.1 in Ubuntu 14.04 LTS,using Help->install new software.. I have Open java 1.7.0_101 and python 2.7.6. Installation success but it doesn't see in ...
-3
votes
0answers
21 views

Which distro is best for running large python programs? [on hold]

I have been using Ubuntu 14.04 in Virtualbox (host being Windows 8.1) for implementing some Natural Language Processing tools (using python). But Ubuntu crashes when i run some large programs. I was ...
1
vote
0answers
25 views

Geeknote installation

I am trying to install Geeknote from source using the instructions from https://www.geeknote.me/documentation/. When I get to line 7 of the instructions in the terminal, I get the following error ...
1
vote
1answer
4k views

uwsgi can't find python plugin

I'm trying to deploy a python app to my Ubuntu 12.04.1 VPS running Nginx / uWSGI. I've setup my server following this guide. When I restart uWSGI I get this message: nickd@my-vps:~$ sudo /etc/...
3
votes
1answer
31 views

No module named pygame

I have two Ubuntu VMs. On one of them, I can't seem to install PyGame. I've tried installing through various methods: sudo apt-get install python-pygame (Remove and reinstall pygame a couple times) ...
63
votes
7answers
94k views

Make default `python` command to use Python 3

I can access Python 3 via python3 command. But I want to make the default interpreter to use python command for Python 3. Simple typing python takes me to Python 2. How to upgrade?
0
votes
1answer
37 views

Packages broken after accidentally deleted python3

I accidently deleted my python3 package and then I'm trying to reinstall the package. But I am running into errors everytime. The following packages have unmet dependencies: devscripts : Depends: ...
1
vote
0answers
27 views

Syntax for sending notification hint using gdbus or python's dbus module

I'm trying to update a previous notification (which displays the screen's brightness after being changed using a progress bar) with gdbus, as notify-send does not support updating. Previously I use ...
-1
votes
0answers
121 views

pip install IPython pandas NSEpy Matplotlib

I am getting the below error during installation. Please tell me how to resolve it in Ubuntu 15.10 x86_64 PC/OS. $ pip install IPython pandas NSEpy Matplotlib Collecting IPython Retrying (Retry(...
0
votes
0answers
26 views

Python Pandas: SyntaxError: invalid token

I tried to import pandas as pd in my ubuntu terminal, unfortunately I'm running into import error. ramesh8v@vm64-223:~/anaconda3$ python Python 3.5.1 |Anaconda 4.0.0 (64-bit)| (default, Dec 7 2015, ...
0
votes
0answers
34 views

How do I install 32 bit anaconda on my 64 bit machine?

I'm using Ubuntu 16.04 LTS and use Python 2.7.11 |Anaconda 4.0.0 (64-bit) but in order to properly run pygame (which is only available in 32 bit) I need to have 32 bit Anaconda. I tried it with ...
1
vote
0answers
64 views

gi repository problem

When I try to run software-center I get this message Traceback (most recent call last): File "/usr/bin/software-center", line 25, in <module> from gi.repository import Gtk, GObject ...
0
votes
1answer
39 views

When trying to import Matplotlib.pyplot, get “UnicodeDecodeError”

When trying to run a Python script starting with import numpy as np import matplotlib.pyplot as plt I'm getting the following error message: /usr/lib/python2.7/dist-packages/matplotlib/...
2
votes
1answer
32 views

Can't install Mrtg on Ubuntu 14.04 LTS [closed]

I can't install MRGT-2.17.4 on Ubuntu 14.04 LTS Text appear Error below ? Reading package lists... Done Building dependency tree Reading state information... Done mrtg is already the newest ...
1
vote
1answer
47 views

Creating a bash script [closed]

Alright so, just for a little heads up, I literally just learned what bash script was today. Anyways, I have this series of voice recognition programs wrote in python, and I wanted to make a voice ...
0
votes
0answers
35 views

Unable to run python script remotely through SSH on ubuntu 12.04 [on hold]

I am trying to implement a networking model (functioning well on Ubuntu 14.04) on my system (Ubuntu 12.04), which involves connecting with nodes (machines) remotely and running python script on them. ...
3
votes
1answer
120 views

Self built Snap run fail on Locale error

I built a snap using python3 plugin. It should open a PyQt5 app. The snap built with no problem, but after the snap is installed, calling the installed python script in command line fails with the ...
3
votes
1answer
6k views

Visual studio Code with python

I have installed Visual Studio Code in my Ubuntu. But I can't use Python. Some information: I didn't install any python version. I am currently using it on terminal or Python idle 2.7 Can anyone ...
0
votes
0answers
19 views

Unable to use Speech recognition module in Ubuntu 15.10

I am trying to use speech_recognition module in python 2.7, everytime when I import speech_recognition I get the following errors: aravinth@Don:~$ sudo python2.7 -m speech_recognition [sudo] ...
2
votes
1answer
26 views

How can I store what video I am watching using Python in Ubuntu?

I am new to Ubuntu. I watch a lot of TV shows and sometimes lose track of what I am watching. When I used Windows, I refered to the list that pops up on right-clicking the VLC icon to keep track of ...
1
vote
2answers
23 views

Creating Virtual Box desktop with Linux on my mac

I am a novice Python programmer and I am having trouble creating a Virtual Box, hopefully this is an easy fix! So, I've been using a virtual machine for my computational physics class, but it is ...
-3
votes
0answers
45 views